Description: Have a test suite that actually tests
Author: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Forwarded: No
Last-Update: 2019-07-18

--- a/test.pl
+++ b/test.pl
@@ -1,17 +1,61 @@
-# Before `make install' is performed this script should be runnable with
-# `make test'. After `make install' it should work as `perl test.pl'
+#!/usr/bin/perl
 
-#########################
+use Test::More;
 
-# change 'tests => 1' to 'tests => last_test_to_print';
+BEGIN { use_ok('Date::Holidays::DE') or die; };
 
-use Test;
-BEGIN { plan tests => 1 };
-use Date::Holidays::DE;
-ok(1); # If we made it this far, we're ok.
+use Date::Holidays::DE qw<holidays>;
 
-#########################
-
-# Insert your test code below, the Test module is use()ed here so read
-# its man page ( perldoc Test ) for help writing this test script.
+{
+    my $feiertage_ref = holidays(
+        YEAR=>2017,
+        FORMAT=>"%d.%m.%Y",
+    );
+    is (
+        scalar (grep { $_ eq '31.10.2017' } @$feiertage_ref),
+        1,
+        '2017: refo is a nation-wide holiday',
+    );
+}
+{
+    my $feiertage_ref = holidays(
+        YEAR=>2017,
+        WHERE=>['hh'],
+        FORMAT=>"%d.%m.%Y",
+    );
+    is_deeply ($feiertage_ref, [], '2017: refo is NOT a local holiday in HH');
+}
+{
+    my $feiertage_ref = holidays(
+        YEAR=>2018,
+        WHERE=>['hh'],
+        FORMAT=>"%d.%m.%Y",
+    );
+    is_deeply (
+        $feiertage_ref,
+        [ qw<31.10.2018> ],
+        '2018: refo is a local holiday in HH',
+    );
+}
+{
+    my $feiertage_ref = holidays(
+        YEAR=>2018,
+        WHERE=>['be'],
+        FORMAT=>"%d.%m.%Y",
+    );
+    is_deeply ($feiertage_ref, [], '2018: frau is NOT a local holiday in Berlin');
+}
+{
+    my $feiertage_ref = holidays(
+        YEAR=>2019,
+        WHERE=>['be'],
+        FORMAT=>"%d.%m.%Y",
+    );
+    is (
+        scalar (grep { $_ eq '08.03.2019' } @$feiertage_ref),
+        1,
+        '2019: frau is a local holiday in Berlin',
+    );
+}
 
+done_testing;
